#if !defined(AFX_STATUSCNTRL_H__B160C740_55B3_11D3_A23E_00A0C996E7F5__INCLUDED_)
#define AFX_STATUSCNTRL_H__B160C740_55B3_11D3_A23E_00A0C996E7F5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// StatusCntrl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CStatusCntrl window

class CStatusCntrl : public CWnd
{
// Construction
public:
	CStatusCntrl();
	
// Attributes
public:
// Operations
public:
	virtual BOOL Create(LPCTSTR lpszWindowName, DWORD dwStyle, const RECT& rect,
							CWnd* pParentWnd, UINT nID);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CStatusCntrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	//Use CWnd::SetWindowText(..) to change the window text
	UINT SetPos( UINT nPos );
	void SetRange(UINT nLower, UINT nUpper);
	void SetBarColor( COLORREF cr);
	void SetLEDColor( COLORREF cr);
	void SetBkColor( COLORREF cr);
	void SetTxtColor( COLORREF cr);
	virtual ~CStatusCntrl();

	// Generated message map functions
protected:
	//{{AFX_MSG(CStatusCntrl)
	afx_msg void OnPaint();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	void InvalidateCntrl();
	UINT m_nLower;
	UINT m_nUpper;
	UINT m_nPos;

private:
	CBitmap m_bmImage;		// bitmap image of status window
	COLORREF m_LEDColor;
	COLORREF m_BkColor;
	COLORREF m_TxtColor;
	COLORREF m_BarColor;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_STATUSCNTRL_H__B160C740_55B3_11D3_A23E_00A0C996E7F5__INCLUDED_)
