#if !defined(AFX_INSELECT_H__812C6A36_EEC5_4B59_A1AB_AFE4A22636DD__INCLUDED_)
#define AFX_INSELECT_H__812C6A36_EEC5_4B59_A1AB_AFE4A22636DD__INCLUDED_
//////////////////////////////////////////////////////////////////////
// Copyright 2000.    Moe Wheatley AE4JY  <ae4jy@qsl.net>
//
//This program is free software; you can redistribute it and/or
//modify it under the terms of the GNU General Public License
//as published by the Free Software Foundation; either version 2
//of the License, or any later version.
//
//This program is distributed in the hope that it will be useful,
//but WITHOUT ANY WARRANTY; without even the implied warranty of
//MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//GNU General Public License for more details.
//
//You should have received a copy of the GNU General Public License
//along with this program; if not, write to the Free Software
//Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
////////////////////////////////////////////////////////////////////////

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// InSelect.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CInSelect dialog

class CInSelect : public CDialog
{
// Construction
public:
	CInSelect(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CInSelect)
	enum { IDD = IDD_INPUT_DLG };
	CStatic	m_FileDataCtrl;
	CComboBox	m_SoundCardCtrl;
	CStatic	m_BlkTxtCtrl;
	int		m_InGroup;
	CString	m_InRawName;
	CString	m_InWaveName;
	UINT	m_WaveStartOffset;
	//}}AFX_DATA
	INT m_NumBlocksInFile;
	CString	m_InRawPath;
	CString	m_InWavePath;
	INT m_SoundCard;
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CInSelect)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CInSelect)
	afx_msg void OnSelraw();
	afx_msg void OnSelwave();
	afx_msg void OnIngroupwave();
	afx_msg void OnIngroupsound();
	afx_msg void OnIngroupraw();
	virtual BOOL OnInitDialog();
	afx_msg void OnKillfocusScardcombo();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	void DisplayFileData( void);
	long m_FileSize;
	void FindMaxBlocks( void);
	INT m_MaxBlocks;
	void EnableControls(INT group);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_INSELECT_H__812C6A36_EEC5_4B59_A1AB_AFE4A22636DD__INCLUDED_)
